## ceilometer 2015.1.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

retrying>=1.2.3,!=1.3.0 # Apache-2.0
alembic>=0.7.2
croniter>=0.3.4 # MIT License
eventlet>=0.16.1,!=0.17.0
iso8601>=0.1.9
jsonpath-rw>=1.2.0,<2.0
jsonschema>=2.0.0,<3.0.0
kafka-python>=0.9.2 # Apache-2.0
keystonemiddleware>=1.5.0,<1.6.0
lxml>=2.3
msgpack-python>=0.4.0
oslo.context>=0.2.0,<0.3.0                     # Apache-2.0
oslo.db>=1.7.0,<1.8.0  # Apache-2.0
oslo.concurrency>=1.8.0,<1.9.0         # Apache-2.0
oslo.config>=1.9.3,<1.10.0  # Apache-2.0
oslo.i18n>=1.5.0,<1.6.0  # Apache-2.0
oslo.policy>=0.3.1,<0.4.0  # Apache-2.0
oslo.rootwrap>=1.6.0,<1.7.0  # Apache-2.0
PasteDeploy>=1.5.0
pbr>=0.6,!=0.7,<1.0
pecan>=0.8.0
posix_ipc
oslo.messaging>=1.8.0,<1.9.0  # Apache-2.0
oslo.middleware>=1.0.0,<1.1.0                  # Apache-2.0
oslo.serialization>=1.4.0,<1.5.0               # Apache-2.0
oslo.utils>=1.4.0,<1.5.0                       # Apache-2.0
pysnmp>=4.2.1,<5.0.0
python-ceilometerclient>=1.0.13,<1.1.0
python-glanceclient>=0.15.0,<0.18.0
python-keystoneclient>=1.1.0,<1.4.0
python-neutronclient>=2.3.11,<2.5.0
python-novaclient>=2.22.0,<2.24.0
python-swiftclient>=2.2.0,<2.5.0
pytz>=2013.6
PyYAML>=3.1.0
requests>=2.2.0,!=2.4.0
six>=1.9.0
SQLAlchemy>=0.9.7,<=0.9.99
sqlalchemy-migrate>=0.9.5
stevedore>=1.3.0,<1.4.0  # Apache-2.0
tooz>=0.13.1,<0.14.0 # Apache-2.0
Werkzeug>=0.7  # BSD License
WebOb>=1.2.3
WSME>=0.6
