=== debian/changelog ===
ceilometer (2015.1.0-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Thomas Goirand <zigo@debian.org>  Tue, 12 May 2015 12:26:08 +0200
