=== debian/control ===
Source: ceilometer
Section: web
Priority: optional
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Julien Danjou <acid@debian.org>,
           Thomas Goirand <zigo@debian.org>,
           Mehdi Abaakouk <sileht@sileht.net>,
Build-Depends: debhelper (>= 9),
               dh-python,
               dh-systemd,
               openstack-pkg-tools (>= 23~),
               po-debconf,
               python-all,
               python-pbr,
               python-setuptools,
               python-sphinx,
Build-Depends-Indep: alembic (>= 0.7.2),
                     mongodb,
                     python-awsauth,
                     python-babel,
                     python-ceilometerclient (>= 1.0.13),
                     python-coverage,
                     python-croniter,
                     python-elasticsearch (>= 1.3.0),
                     python-eventlet (>= 0.16.1),
                     python-fixtures,
                     python-gabbi (>= 0.12.0),
                     python-glanceclient (>= 1:0.15.0),
                     python-hacking,
                     python-happybase,
                     python-httplib2,
                     python-iso8601,
                     python-jsonpath-rw,
                     python-jsonschema,
                     python-kafka,
                     python-keystoneclient (>= 1:1.1.0),
                     python-keystonemiddleware (>= 1.5.0),
                     python-kombu (>= 2.4.8),
                     python-lxml,
                     python-migrate (>= 0.9.5),
                     python-mock,
                     python-msgpack,
                     python-mysqldb,
                     python-neutronclient (>= 2.3.11),
                     python-novaclient (>= 2:2.22.0),
                     python-oslo.concurrency (>= 1.8.0),
                     python-oslo.config (>= 1:1.9.3),
                     python-oslo.context (>= 0.2.0),
                     python-oslo.db (>= 1.7.0),
                     python-oslo.i18n (>= 1.5.0),
                     python-oslo.messaging (>= 1.8.0),
                     python-oslo.middleware (>= 1.0.0),
                     python-oslo.policy (>= 0.3.1),
                     python-oslo.rootwrap (>= 1.6.0),
                     python-oslo.serialization (>= 1.4.0),
                     python-oslo.utils (>= 1.4.0),
                     python-oslo.vmware (>= 0.11.1),
                     python-oslosphinx (>= 2.5.0),
                     python-oslotest (>= 1.5.1),
                     python-pastedeploy,
                     python-pecan (>= 0.8.0),
                     python-posix-ipc,
                     python-psycopg2,
                     python-pymongo,
                     python-pysnmp4,
                     python-requests,
                     python-retrying,
                     python-six (>= 1.9.0),
                     python-sphinxcontrib-docbookrestapi,
                     python-sphinxcontrib-httpdomain,
                     python-sphinxcontrib-pecanwsme,
                     python-sqlalchemy,
                     python-stevedore (>= 1.3.0),
                     python-swiftclient,
                     python-testscenarios,
                     python-testtools,
                     python-tooz (>= 0.13.1),
                     python-tz,
                     python-webob,
                     python-werkzeug,
                     python-wsme,
                     python-yaml,
                     subunit,
                     testrepository,
Standards-Version: 3.9.6
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/ceilometer.git;a=summary
Vcs-Git: git://anonscm.debian.org/openstack/ceilometer.git
Homepage: http://wiki.openstack.org/Ceilometer

Package: python-ceilometer
Section: python
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~)
Depends: alembic (>= 0.7.2),
         libjs-jquery,
         python-ceilometerclient (>= 1.0.13),
         python-croniter,
         python-eventlet (>= 0.16.1),
         python-glanceclient (>= 1:0.15.0),
         python-greenlet (>= 0.4),
         python-iso8601,
         python-jsonpath-rw,
         python-jsonschema,
         python-kafka,
         python-keystoneclient (>= 1:1.1.0),
         python-keystonemiddleware (>= 1.5.0),
         python-kombu (>= 2.4.8),
         python-lxml,
         python-migrate (>= 0.9.5),
         python-msgpack,
         python-mysqldb,
         python-neutronclient (>= 2.3.11),
         python-novaclient (>= 2:2.22.0),
         python-oslo.concurrency (>= 1.8.0),
         python-oslo.config (>= 1:1.9.3),
         python-oslo.context (>= 0.2.0),
         python-oslo.db (>= 1.7.0),
         python-oslo.i18n (>= 1.5.0),
         python-oslo.messaging (>= 1.8.0),
         python-oslo.middleware (>= 1.0.0),
         python-oslo.policy (>= 0.3.1),
         python-oslo.rootwrap (>= 1.6.0),
         python-oslo.serialization (>= 1.4.0),
         python-oslo.utils (>= 1.4.0),
         python-pbr,
         python-pastedeploy,
         python-pecan (>= 0.8.0),
         python-posix-ipc,
         python-pymongo,
         python-pysnmp4,
         python-requests,
         python-retrying,
         python-six (>= 1.9.0),
         python-sqlalchemy,
         python-stevedore (>= 1.3.0),
         python-swiftclient,
         python-tooz (>= 0.13.1),
         python-tz,
         python-webob,
         python-werkzeug,
         python-wsme,
         python-yaml,
         ${misc:Depends},
         ${python:Depends},
Description: OpenStack efficient metering counters system - Python libraries
 Ceilometer aims to deliver a Single Point Of Contact for billing systems,
 providing all the counters they need to establish customer billing, across
 all current and future OpenStack components. The delivery of counters must be
 traceable and auditable, the counters must be easily extensible to support new
 projects, and agents doing data collections should be independent of the
 overall system.
 .
 This package contains the Python libraries that are needed for all parts of
 Ceilometer.

Package: ceilometer-common
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~)
Depends: adduser,
         dpkg-dev,
         python-ceilometer (= ${binary:Version}),
         ${misc:Depends},
         ${python:Depends},
Provides: ${python:Provides}
Description: OpenStack efficient metering counters system - common files
 Ceilometer aims to deliver a Single Point Of Contact for billing systems,
 providing all the counters they need to establish customer billing, across
 all current and future OpenStack components. The delivery of counters must be
 traceable and auditable, the counters must be easily extensible to support new
 projects, and agents doing data collections should be independent of the
 overall system.
 .
 This package contains files that are needed for all parts of Ceilometer.

Package: ceilometer-collector
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~)
Depends: ceilometer-common (= ${binary:Version}),
         ${misc:Depends},
         ${ostack-lsb-base},
         ${python:Depends},
Description: OpenStack efficient metering counters system - collector service
 Ceilometer aims to deliver a Single Point Of Contact for billing systems,
 providing all the counters they need to establish customer billing, across
 all current and future OpenStack components. The delivery of counters must be
 traceable and auditable, the counters must be easily extensible to support new
 projects, and agents doing data collections should be independent of the
 overall system.
 .
 This package contains the collector service.

Package: ceilometer-api
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~)
Depends: adduser,
         ceilometer-common (= ${binary:Version}),
         debconf,
         ${misc:Depends},
         ${ostack-lsb-base},
         ${python:Depends},
Description: OpenStack efficient metering counters system (API service)
 Ceilometer aims to deliver a Single Point Of Contact for billing systems,
 providing all the counters they need to establish customer billing, across
 all current and future OpenStack components. The delivery of counters must be
 traceable and auditable, the counters must be easily extensible to support new
 projects, and agents doing data collections should be independent of the
 overall system.
 .
 This package contains the API service.

Package: ceilometer-agent-compute
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~)
Depends: ceilometer-common (= ${binary:Version}),
         ${misc:Depends},
         ${ostack-lsb-base},
         ${python:Depends},
Description: OpenStack efficient metering counters system - compute agent
 Ceilometer aims to deliver a Single Point Of Contact for billing systems,
 providing all the counters they need to establish customer billing, across
 all current and future OpenStack components. The delivery of counters must be
 traceable and auditable, the counters must be easily extensible to support new
 projects, and agents doing data collections should be independent of the
 overall system.
 .
 This package contains the compute agent.

Package: ceilometer-agent-central
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~)
Depends: ceilometer-common (= ${binary:Version}),
         ${misc:Depends},
         ${ostack-lsb-base},
         ${python:Depends},
Description: OpenStack efficient metering counters system - central agent
 Ceilometer aims to deliver a Single Point Of Contact for billing systems,
 providing all the counters they need to establish customer billing, across
 all current and future OpenStack components. The delivery of counters must be
 traceable and auditable, the counters must be easily extensible to support new
 projects, and agents doing data collections should be independent of the
 overall system.
 .
 This package contains the central agent.

Package: ceilometer-alarm-evaluator
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~)
Depends: ceilometer-common (= ${binary:Version}),
         ${misc:Depends},
         ${ostack-lsb-base},
         ${python:Depends},
Description: OpenStack efficient metering counters system - alarm evaluator
 Ceilometer aims to deliver a Single Point Of Contact for billing systems,
 providing all the counters they need to establish customer billing, across
 all current and future OpenStack components. The delivery of counters must be
 traceable and auditable, the counters must be easily extensible to support new
 projects, and agents doing data collections should be independent of the
 overall system.
 .
 This package contains the alarm evaluator daemon.

Package: ceilometer-alarm-notifier
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~)
Depends: ceilometer-common (= ${binary:Version}),
         ${misc:Depends},
         ${ostack-lsb-base},
         ${python:Depends},
Description: OpenStack efficient metering counters system - alarm notifier
 Ceilometer aims to deliver a Single Point Of Contact for billing systems,
 providing all the counters they need to establish customer billing, across
 all current and future OpenStack components. The delivery of counters must be
 traceable and auditable, the counters must be easily extensible to support new
 projects, and agents doing data collections should be independent of the
 overall system.
 .
 This package contains the alarm notifier daemon.

Package: ceilometer-agent-notification
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~)
Depends: ceilometer-common (= ${binary:Version}),
         ${misc:Depends},
         ${ostack-lsb-base},
         ${python:Depends},
Description: OpenStack efficient metering counters system - agent notification
 Ceilometer aims to deliver a Single Point Of Contact for billing systems,
 providing all the counters they need to establish customer billing, across
 all current and future OpenStack components. The delivery of counters must be
 traceable and auditable, the counters must be easily extensible to support new
