=== debian/changelog ===
ceilometer (2015.1.2-0ubuntu1.1) vivid; urgency=medium

  * d/p/fix-requirements.patch: Revert requirements bumps that occurred
    to oslo.concurrency, python-ceilometerclient, and python-neutronclient
    during stable point release of kilo (2015.1.2). (LP: #1515409).

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 12 Nov 2015 08:48:08 -0500

ceilometer (2015.1.2-0ubuntu1) vivid; urgency=medium

  [ Chuck Short ]
  * Resynchronize with stable/kilo (74841ad) (LP: #1506058):
    - [74841ad] Requeuing event with workload_partitioning on publish
                failure
    - [10305c0] Prevent ceilometer expirer from causing deadlocks
    - [1084de3] Coordinator handles ToozError when joining group
    - [850ce95] fix command ceilometer event-list -q error
    - [3592176] instance:<type> meter is ignored
    - [c93ca91] Fix meter name for identity.OS-TRUST:trust.* events
    - [bec2e27] Keep the instance_type meta from polling and notification
                consistent
    - [268c803] postgres isolation level produces inconsistent reads
    - [f28b0c4] Fix alarm rest notifier logging to include severity
    - [f80cfd6] Add Kilo release note reference
    - [220c1d0] Update alarm history only if change in alarm property

  [ Corey Byrant ]
  * d/rules: Prevent dh_python2 from guessing dependencies.

 -- Chuck Short <zulcss@ubuntu.com>  Wed, 14 Oct 2015 09:58:57 -0400

ceilometer (2015.1.1-0ubuntu2) vivid; urgency=medium

  * Additional support for stable/kilo (LP: #1481008):
    - d/p/disable-kafka.patch: Mocked KafkaBrokerPublisher.
    - d/p/skip-rgw-tests.patch: Mocked rgw, rgw_client, RGWAdminAPIFailed,
      and RGWAdminClient.
    - d/control: Add python-awsauth as Suggested.

 -- David Ames <david.ames@canonical.com>  Wed, 05 Aug 2015 16:09:41 -0700

ceilometer (2015.1.1-0ubuntu1) vivid; urgency=medium

  * Resynchronize with stable/kilo (e7c2286) (LP: #1481008):
    - [6ea8dd1] Handle database failures on api startup
    - [95ff1fc] Mask database.event_connection details in logs
    - [b28a8bb] Fix the meter unit types to be consistent
    - [023cfd1] api: record severity change in alarm history
    - [349be3d] [elasticsearch] default trait type to string
    - [f200c54] Fixes DiskInfoPollster AttributeError exception
    - [76dc5d8] Update a test to properly anticipate HTTP 405 for RestController
    - [77b1fb5] Fixing event types pattern for Role Noti. handler
    - [e7c2286] stop mocking os.path in test_setup_events_default_config
  * d/p/disable-kafka.patch: Rebased.

 -- David Ames <david.ames@canonical.com>  Mon, 03 Aug 2015 13:37:56 -0700
