## ceilometer 2015.1.4

=== requirements.txt ===
--- 
+++ 
@@ -37,7 +37,7 @@
 python-swiftclient<2.5.0,>=2.2.0
 pytz>=2013.6
 PyYAML>=3.1.0
-requests!=2.4.0,>=2.2.0
+requests!=2.4.0,<2.8.0,>=2.2.0
 six>=1.9.0
 SQLAlchemy<=0.9.99,>=0.9.7
 sqlalchemy-migrate!=0.9.8,<0.10.0,>=0.9.5
